Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumentnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumentnodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for a Document Node returns the constant value 9.

Retrieve the document and invoke the "getNodeType()" method. The method should return 9.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#i-Document , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 44 of file nodedocumentnodetype.java.

## Constructor & Destructor Documentation

nodedocumentnodetype::nodedocumentnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file nodedocumentnodetype.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String nodedocumentnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 60 of file nodedocumentnodetype.java.
    00060                                 {
    00061       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumentnodetype";
    00062    }

void nodedocumentnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 63 of file nodedocumentnodetype.java. References DOMTestCase::doMain().
    00063                                           {
    00064         DOMTestCase.doMain(nodedocumentnodetype.class,args);
    00065    }

void nodedocumentnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file nodedocumentnodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       int nodeType;
    00055       doc = load("staff");
    00056       nodeType = (int)doc.getNodeType();
    00057       assertEquals("nodeDocumentNodeTypeAssert1",9,nodeType);
    00058
    00059    }

The documentation for this class was generated from the following file:

- nodedocumentnodetype.java